Customers
Update Customer
Updates an existing customer's information. Only allows updating firstName, lastName, and metadata fields.
Authorization
api_key api-key<token>
In: header
Path Parameters
customerId*string
The internal customer ID from the URL path
Request Body
application/json
Update data including associatedId and tenantAlias for verification
firstName?string
Customer first name
lastName?string
Customer last name
metadata?
Additional key-value pairs for custom data
tenantAlias*string
associatedId*string
Response Body
application/json
application/json
application/json
curl -X PATCH "https://api.paynowpro.com/api/v1/customers/string" \ -H "Content-Type: application/json" \ -d '{ "tenantAlias": "string", "associatedId": "string" }'{
"id": "string",
"firstName": "string",
"lastName": "string",
"email": "string",
"associatedId": "string",
"tenantAlias": "string",
"metadata": {
"property1": "string",
"property2": "string"
},
"createdAt": "string"
}{
"cause": null,
"body": {
"response": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
}
},
"request": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
},
"url": "string",
"method": "string"
},
"reason": "string",
"code": 400
}
}{
"cause": null,
"body": {
"response": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
}
},
"request": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
},
"url": "string",
"method": "string"
},
"reason": "string",
"code": 400
}
}